Subject: Re: [PATCH v4 4/4] t0302: test credential-store support for XDG_CONFIG_HOME

From: Matthieu Moy <[email-masked]>
Date: Thu, 19 Mar 2015 14:35:49 +0100

Eric Sunshine <[email-masked]> writes:

> I also tend to favor adding "failure" tests which are flipped to
> "success" when appropriate, however, as this is an entirely new
> feature, this approach may be unsuitable (and perhaps overkill).

I can buy the "overkill", but not unsuitable. Even for new features, the
tests should fail before and pass after. Otherwise, the tests are not
testing the feature. Actually, this is a strong principle in test-driven
development: don't write code unless you have a failing test.

But I was just thinking out loudly, certainly not requesting a change.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/